### Method

# RB StreamingSource set_streaming_title

#### Declaration [src]

    void
    rb_streaming_source_set_streaming_title (
      RBStreamingSource* source,
      const char* title
    )

#### Description [src]

Updates the streaming song title. Call this when an updated streaming song title is received from the stream.

#### Parameters

`title`

  Type: `const char*`

  The new streaming song title.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.